cURL
curl --request POST \
--url https://api.mottostreaming.com/streaming/configurations/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"name": "<string>",
"description": "<string>",
"default": true,
"disabled": true,
"data": {
"transcoder_streams": {
"streams": [
{
"video_bitrate": 123,
"video_framerate": 123,
"video_keyframe_interval": 123,
"segment_duration": 123
}
]
},
"transcoder_overlays": {
"static_overlays": [
{
"asset_id": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
]
},
"automated_tagging": {
"enabled": true
}
}
}
'import requests
url = "https://api.mottostreaming.com/streaming/configurations/v1"
payload = {
"project_id": "<string>",
"name": "<string>",
"description": "<string>",
"default": True,
"disabled": True,
"data": {
"transcoder_streams": { "streams": [
{
"video_bitrate": 123,
"video_framerate": 123,
"video_keyframe_interval": 123,
"segment_duration": 123
}
] },
"transcoder_overlays": { "static_overlays": [
{
"asset_id": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
] },
"automated_tagging": { "enabled": True }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
name: '<string>',
description: '<string>',
default: true,
disabled: true,
data: {
transcoder_streams: {
streams: [
{
video_bitrate: 123,
video_framerate: 123,
video_keyframe_interval: 123,
segment_duration: 123
}
]
},
transcoder_overlays: {
static_overlays: [{asset_id: '<string>', x: 123, y: 123, width: 123, height: 123}]
},
automated_tagging: {enabled: true}
}
})
};
fetch('https://api.mottostreaming.com/streaming/configurations/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configuration": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"description": "<string>",
"default": true,
"disabled": true,
"data": {
"transcoder_streams": {
"streams": [
{
"video_bitrate": 123,
"video_framerate": 123,
"video_keyframe_interval": 123,
"segment_duration": 123
}
]
},
"transcoder_overlays": {
"static_overlays": [
{
"asset_id": "<string>",
"x": 123,
"y": 123,
"width": 123,
"height": 123
}
]
},
"automated_tagging": {
"enabled": true
}
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Configurations
Create configuration
CreateConfiguration
Creates a new configuration.
POST
/
streaming
/
configurations
/
v1
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the configuration.
The description of the configuration.
Indicates whether this configuration should be applied by default when no configuration is attached to a workflow or simulcast. There can only be one default configuration per type.
Indicates that the configuration should not appear as a selectable option in the UI. This configuration will still be usable by any object it is connected to.
The type of the configuration. This is used to determine which configuration options are available.
Available options:
CONFIGURATION_TYPE_UNSPECIFIED, CONFIGURATION_TYPE_TRANSCODER_STREAMS, CONFIGURATION_TYPE_TRANSCODER_OVERLAYS, CONFIGURATION_TYPE_AUTOMATED_TAGGING The data for the configuration based on the type.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
⌘I

